#include <QCoreApplication>
#include <QLocale>
#include <QTranslator>
#include "DataManager.h"
int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);

    QTranslator translator;
    const QStringList uiLanguages = QLocale::system().uiLanguages();
    for (const QString &locale : uiLanguages) {
        const QString baseName = "DataManager_" + QLocale(locale).name();
        if (translator.load(":/i18n/" + baseName)) {
            a.installTranslator(&translator);
            break;
        }
    }

    DataManager dataMgr;
    dataMgr.Startup();

    return a.exec();
}
